using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Cetvrti_Zadatak___BUG
{
    class Program
    {
        static void Main(string[] args)
        {
            string unos = Console.ReadLine();
            string[] razdvoj = unos.Split(' ');
            int n = int.Parse(razdvoj[0]);
            int k = int.Parse(razdvoj[1]);

            unos = Console.ReadLine();
            int[] brojevi = new int[n];
            int[] niz = new int[n];
            int rez = 0;

            for (int i = 0; i < n; i++)
            {
                brojevi[i] = int.Parse(unos.Split(' ')[i]);
            }

            if (k == 0)
            {
                for (int i = 0; i < brojevi.Length; i++)
                {
                    rez += brojevi[i];
                }
            }
            else
            {
                for (int i = 1; i <= n; i++)
                {
                    for (int j = i; j <= n; j++)
                    {
                        niz = podNiz(brojevi, i - 1, j);
                        for (int l = 0; l < niz.Length; l++)
                        {
                            rez += niz[l];
                        }
                    }
                }
            }

            Console.WriteLine(rez);
        }

        static int[] podNiz(int[] niz, int pocetak, int stop)
        {
            int[] vratiNiz = new int[stop];
            for (int i = pocetak; i < stop; i++)
            {
                vratiNiz[i - pocetak] = niz[i];
            }
            return vratiNiz;
        }
    }
}